### Hierarchy

- RadioSettingComponent

## Index

### Inputs

- active
- options

### Outputs

- activeChange

### Constructors

- constructor

### Properties

- active
- activeChange
- options

### Methods

- getContent
- onChange

## Constructors

### constructor

- new RadioSettingComponent(): RadioSettingComponent

- #### Returns RadioSettingComponent

## Properties

### active

@Input()
active: any

- Defined in packages/angular/src/toolkit/table-settings/settings/radio-setting.component.ts:25

### activeChange

@Output()
activeChange: EventEmitter<SettingChanges> = ...

- Defined in packages/angular/src/toolkit/table-settings/settings/radio-setting.component.ts:27

### options

@Input()
options: RadioOption[]

- Defined in packages/angular/src/toolkit/table-settings/settings/radio-setting.component.ts:23

## Methods

### getContent

- getContent(option: RadioOption): Observable<string>

- - Defined in packages/angular/src/toolkit/table-settings/settings/radio-setting.component.ts:29

  #### Parameters

  - ##### option: RadioOption

  #### Returns Observable<string>

### onChange

- onChange(event: RadioChange): void

- - Defined in packages/angular/src/toolkit/table-settings/settings/radio-setting.component.ts:36

  #### Parameters

  - ##### event: RadioChange

  #### Returns void

Generated using TypeDoc